Simple Search by DIN
Introduction
This API allows users to get the company details like din, dob, name, designation etc.
How to call the API
You are required to pass the DIN Number & ItemID(Organization Id) in the request body.
API Input Guidelines
Before going for ROC Director Quick search for organizations, you first need to create an 'Organization' object. You need to pass the din number & ItemId(Organization Id) in the request body.
Sample Curl
curl --location --request POST
'https://signzy.tech/api/v2/hunts' \
--header 'Content-Type: application/json' \
--data '{
"target": "Organization",
"itemId": "....id-of-the-organzation-object-created.....",
"accessToken": ".....access-token-from-the-organization-creation-request.....",
"task": "simpleSearchByDin",
"essentials": {
"din": ".....director-din-to-search-for...."
}
}'Input Parameters
Parameter | Type | Description |
|---|---|---|
target | string | Target Value |
itemId | string | Id of the organzation object created |
accessToken | string | access token from the organization creation request |
task | string | Type of Din Search |
essentials | object | Give DIn number here |
Sample Response
{
"din": "..din..",
"designation": "..designation..",
"address": "..address..",
"name": "..name..",
"dob": "..dob..",
"noOfCompanies": "..noOfCompanies..",
"fatherName": "..fatherName..",
"dscExpiryDate": "..dscExpiryDate..",
"dateOfAppointment": "..dateOfAppointment..",
"whetherDscRegistered": "..whetherDscRegistered..",
"splitAddress": {
"state": [
[
]
],
"district": [
],
"city": [],
"pincode": "...pincode...",
"country": [
"IN",
"IND",
"INDIA"
],
"addressLine": "...addressLine..."
},
"listOfCompanies": [{
"cinin": "..cinin..",
"companyName": "..companyName..",
"beginDate": "..beginDate..",
"endDate": "..endDate..."
}],
"listOfLLPs": [{
"llpin": "..llpin..",
"llpName": "..llpName..",
"beginDate": "..beginDate..",
"endDate": "..endDate..."
}]
}Output Parameters
Parameter | Type | Description |
|---|---|---|
din | string | Din Number |
designation | string | Designation value |
address | string | Address of Company |
name | string | Name of the company |
noOfCompanies | string | Number of Companies |
fatherName | string | Father Name Value |
dscExpiryDate | string | DSC Expiry Date Value |
dateOfAppointment | string | Appointment date value |
whetherDscRegistered | string | True/False Value whether dsc registered or not |
dob | string | Value Of The Identifier |
dateOfAppointment | string | Appointment Date |
splitAddress | object | Address of Organization |
city | string | Value of the city will be present here |
state | string | Value of the state will be present here |
country | string | Value of the country will be present here |
addressLine | string | Consist of the address of the company |
listOfCompanies | array | Array of objects of a company |
cinin | string | cinin value of the company |
companyName | string | Name of the company |
beginDate | string | Begin Date value |
endDate | string | End Date Value |
listOfLLPs | array | Array of objects of a LLPs |
llpin | string | llpin value of LLP |
llpName | string | LLP Name |
beginDate | string | Begin Date value |
endDate | string | End Date Value |
Status Codes
CODE | MESSAGE |
|---|---|
200 | OK |
404 | Data Not Found |
409 | Error in getting Data from Upstream |

Getting help
Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.
You can reach out to us at [email protected].